package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebQrCode;
import org.springframework.stereotype.Component;


/**
 * 官网二维码表(WebQrCode)表服务接口
 *
 * @author makejava
 * @since 2024-11-21 14:29:52
 */

@Component
public interface WebQrCodeService {

    /**
     * 通过ID查询单条数据
     *
     * @param qrId 主键
     * @return 实例对象
     */
    WebQrCode queryById(Integer qrId);

    /**
     * 新增数据
     *
     * @param webQrCode 实例对象
     * @return 实例对象
     */
    WebQrCode insert(WebQrCode webQrCode);

    /**
     * 修改数据
     *
     * @param webQrCode 实例对象
     * @return 实例对象
     */
    WebQrCode update(WebQrCode webQrCode);

    /**
     * 通过主键删除数据
     *
     * @param qrId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer qrId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    PageInfo queryByAll(int page, int size,String qrName1,
                        String qrName2,
                        Integer qrType,
                        Integer qrId1,
                        Integer qrId2,String fileName);
}
